# coding: utf-8

name, version = 'specle 0.0.0'.split
Gem::Specification.new do |spec|
  spec.name          = name
  spec.version       = version
  spec.authors       = ['Slee Woo']
  spec.email         = ['mail@sleewoo.com']
  spec.description   = 'A easy to use testing framework for Ruby'
  spec.summary       = [name, version]*'-'
  spec.homepage      = 'https://github.com/sleewoo/' + name
  spec.license       = 'MIT'

  spec.files = Dir['**/{*,.[a-z]*}'].reject {|e| e =~ /\.(gem|lock)\Z/}
  spec.require_paths = ['lib']

  spec.executables = Dir['bin/*'].map{|f| File.basename(f)}

  spec.required_ruby_version = '>= 1.9.2'

  spec.add_dependency 'coderay',  '~> 1'

  spec.add_development_dependency 'minitest', '~> 5'
  spec.add_development_dependency 'bundler'
  spec.add_development_dependency 'rake'
end
